## anna 0.065ubuntu2

=== Makefile ===
CFLAGS=-Wall -W -ggdb -D_GNU_SOURCE
OBJS=$(subst .c,.o,$(wildcard *.c))
BIN=anna
LIBS=-ldebconfclient -ldebian-installer

ifdef DEBUG
CFLAGS:=$(CFLAGS) -g3 -DDODEBUG
endif

all: $(BIN)

$(BIN): $(OBJS)
	$(CC) -o $(BIN) $(OBJS) $(LIBS)

# Size optimized and stripped binary target.
small: CFLAGS:=-Os $(CFLAGS) -DSMALL
small: clean $(BIN)
	strip --remove-section=.comment --remove-section=.note $(BIN)
	ls -l $(BIN)

test-anna: anna.c anna.h util.o
	$(CC) -o test-anna -DTEST anna.c util.o $(LIBS)

check: test-anna
	./test-anna

clean:
	-rm -f $(BIN) $(OBJS) *~ test-anna

anna.o util.o: anna.h

.PHONY: check

=== debian/changelog ===
anna (0.065ubuntu2) warty; urgency=low

  * Colin Watson
    - Fixed Lithuanian translation of "Ubuntu", per Steve Alexander.

 -- Colin Watson <cjwatson@flatline.org.uk>  Mon, 16 Aug 2004 17:05:15 +0100

anna (0.065ubuntu1) warty; urgency=low

  * Tollef Fog Heen
    - Ubuntu branding.
  * Colin Watson
    - Update most translations.

 -- Colin Watson <cjwatson@flatline.org.uk>  Thu, 12 Aug 2004 16:09:40 +0100

anna (0.065) unstable; urgency=low

  * Bastian Blank
    - Set the correct package status before calling the resolver.
    - Update Installer-Menu-Item.
    - Build-Depend against libdebian-installer4 (>= 0.27).

 -- Bastian Blank <waldi@debian.org>  Tue, 22 Jun 2004 12:50:03 +0200

anna (0.060) unstable; urgency=low

  * Bastian Blank
    - Use dependency resolver with Kernel-Version and Subarchitecture
      support.
    - Build-Depend against libdebian-installer4 (>= 0.23).
  * Joey Hess
    - Stop hardcoding dependency on no longer existant libc-udeb, just
      use the libc6 dependency from substvars, and let libc6-udebs provide,
      plus libd-i's lack of version checking, do their thing.
    - If anna is run with a parameter and the user backs up from the
      screen of modules to load, they should back all the way out rather than
      getting to the retreiver selection screen. Closes: #247910

 -- Bastian Blank <waldi@debian.org>  Sun, 16 May 2004 17:47:13 +0200

anna (0.059) unstable; urgency=low

  * Updated translations: 
    - Bokmal, Norwegian (nb.po) by Bjørn Steensrud
    - Norwegian Nynorsk (nn.po) by Håvard Korsvoll
    - Vietnamese (vi.po) by Vu Quang Trung

 -- Joey Hess <joeyh@debian.org>  Fri, 23 Apr 2004 13:23:35 -0400

anna (0.058) unstable; urgency=low

  * Updated translations: 
    - Hebrew (he.po) by Lior Kaplan
    - Indonesian (id.po) by Parlin Imanuel Toh
    - Romanian (ro.po) by Eddy Petrisor

 -- Joey Hess <joeyh@debian.org>  Tue, 20 Apr 2004 11:15:00 -0400

anna (0.057) unstable; urgency=low

  * Bastian Blank
    - Fix second dependency resolver run. (closes: #240373)
  * Petter Reinholdtsen
    - Remove myself as uploader.  I do not really understand anna, and
      will leave this package alone.
    - Made sure changelog is UTF-8.
  * Updated translations: 
    - Gallegan (gl.po) by Héctor Fernández López
    - Polish (pl.po) by Bartosz Fenski
    - Turkish (tr.po) by Osman Yüksel

 -- Bastian Blank <waldi@debian.org>  Fri, 16 Apr 2004 11:44:19 +0200

anna (0.056) unstable; urgency=low

  * Joey Hess
    - Add support for retreiver error handling.
    - Try to use error handling if the Packages file retrieval fails
      or the file is invalid.
    - Also use it when other file retrieval fails, and when the md5sum
      is bad.
    - Add logging.
    - Remove templates that are not used now that all retrievers have error
      handling.
  * Updated translations: 
    - Basque (eu.po) by Piarres Beobide Egaña
    - Romanian (ro.po) by Eddy Petrisor
    - Swedish (sv.po) by André Dahlqvist
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov

 -- Joey Hess <joeyh@debian.org>  Wed,  7 Apr 2004 20:50:18 -0400

anna (0.055) unstable; urgency=low

  * Updated translations: 
    - Hebrew (he.po) by Lior Kaplan
    - Indonesian (id.po) by Parlin Imanuel Toh
    - Traditional Chinese (zh_TW.po) by Tetralet

 -- Joey Hess <joeyh@debian.org>  Tue, 30 Mar 2004 14:58:35 -0500

anna (0.054) unstable; urgency=low

  * Bastian Blank
    - Use dependency resolver with kernel version support.
    - Build-Depend against libdebian-installer4 (>= 0.20).

 -- Bastian Blank <waldi@debian.org>  Sun, 21 Mar 2004 21:53:00 +0100

anna (0.053) unstable; urgency=low

  * Updated translations
    - Russian by Nikolai Prokoschenko

 -- Joey Hess <joeyh@debian.org>  Sun, 14 Mar 2004 13:30:28 -0500

anna (0.052) unstable; urgency=low

  * jfs:
    Major revision of the spanish translation fixing typos and errors in msgstrs
    (carriage returns, accents, wording...).

    Many thanks to Jose Antonio Jimenez Madrid for his revision that sparked
    many of these changes.

 -- Joey Hess <joeyh@debian.org>  Sat, 13 Mar 2004 10:25:59 -0500

anna (0.051) unstable; urgency=low

  * Matt Kraai
    - Configure packages that do not have a menu item. Closes: #232397
  * Translations
    - Ming Hua
      - Initial Traditional Chinese translation (zh_TW.po), by Tetralet
      - Updated Traditional Chinese translation (zh_TW.po), by Tetralet
    - Håvard Korsvoll
      - Updated Norwegian, nynorsk translation (nn.po).
    - Eddy Petrisor
      - Added Romanian translation (ro.po)
    - Håvard Korsvoll
      - Updated Norwegian, bokmål translation, (nb.po). From Axel Bojer
    -  Lior Kaplan
      - Update Hebrew translation (he.po)
    -  Dafydd Harries
      - Added Welsh translation (cy.po)

 -- Joey Hess <joeyh@debian.org>  Wed, 10 Mar 2004 23:40:31 -0500

anna (0.050) unstable; urgency=low

   * Translations
     - Changwoo Ryu
       - Added Korean translation (ko.po).
     Kęstutis Biliūnas
       - Updated Lithuanian translation (lt.po).

 -- Joey Hess <joeyh@debian.org>  Sun, 22 Feb 2004 21:56:51 -0500

anna (0.049) unstable; urgency=low

  * Nikolai Prokoschenko
    - Updated russian translation
  * Ming Hua
    - Updated Simplified Chinese translation (zh_CN.po)
  * Bastian Blank
    - Enable support for Subarchitecure.
    - Depend against archdetect.
    - Build-Depend against libdebian-installer4-dev (>= 0.18),
      di-packages-build (>= 0.6).
  * Safir Secerovic
    - Update Bosnian translation (bs.po).
  * Peter Mann
    - Update Slovak translation
  * Lior Kaplan
    - Initial Hebrew translation (he.po)
  * Giuseppe Sacco
    - applied patch for normalizing menus and some italian translation (it.po)
  * h3li0s
    - Added Albanian translation (sq.po)
  * Eugen Meshcheryakov : added Ukrainian translation (uk.po)
  * Joey Hess
    - convert to debhelper v4
    - use new debhelper udeb support
  * Matt Kraai
    - Install packages queued by anna-install.


=== debian/control ===
Source: anna
Section: debian-installer
Priority: standard
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Martin Sjogren <sjogren@debian.org>, Matt Kraai <kraai@debian.org>, Bastian Blank <waldi@debian.org>
Build-Depends: debhelper (>= 4.2), dpkg-dev (>= 1.7.0), libdebconfclient0-dev (>= 0.46), libdebian-installer4-dev (>= 0.27)

Package: anna
Architecture: any
Depends: ${shlibs:Depends}, cdebconf-udeb, retriever, archdetect
Description: anna's not nearly apt, but for the Debian installer, it will do
XC-Package-Type: udeb

Package: load-installer
Architecture: all
Priority: extra
Depends: ${shlibs:Depends}, anna
XB-installer-menu-item: 23
Description: Load installer components
XC-Package-Type: udeb

## anna 1.06

=== Makefile ===
--- 
+++ 
@@ -1,16 +1,18 @@
 CFLAGS=-Wall -W -ggdb -D_GNU_SOURCE
+LDFLAGS=
 OBJS=$(subst .c,.o,$(wildcard *.c))
 BIN=anna
 LIBS=-ldebconfclient -ldebian-installer
 
 ifdef DEBUG
 CFLAGS:=$(CFLAGS) -g3 -DDODEBUG
+LDFLAGS:=-g
 endif
 
 all: $(BIN)
 
 $(BIN): $(OBJS)
-	$(CC) -o $(BIN) $(OBJS) $(LIBS)
+	$(CC) $(LDFLAGS) -o $(BIN) $(OBJS) $(LIBS)
 
 # Size optimized and stripped binary target.
 small: CFLAGS:=-Os $(CFLAGS) -DSMALL

=== debian/changelog ===
anna (1.06) unstable; urgency=low

  * Colin Watson
    - Link with -g if DEBUG is defined.
  * Joey Hess
    - Remove dependency on virtual retriever package to work around
      strangeness in main-menu that causes cdrom-detect to be ordered before
      load-floppy, as described in #285778.

 -- Joey Hess <joeyh@debian.org>  Thu, 16 Dec 2004 17:53:08 -0500

anna (1.05) unstable; urgency=low

  * Updated translations: 
    - Bulgarian (bg.po) by Ognyan Kulev
    - Catalan (ca.po) by Jordi Mallach
    - Czech (cs.po) by Miroslav Kure
    - Welsh (cy.po) by Dafydd Harries
    - Danish (da.po) by Claus Hindsgaul
    - German (de.po) by Dennis Stampfer
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Spanish (Castilian) (es.po) by Javier Fernandez-Sanguino Peña
    - Basque (eu.po) by Piarres Beobide Egaña
    - Finnish (fi.po) by Tapio Lehtonen
    - French (fr.po) by French Team
    - Hebrew (he.po) by Lior Kaplan
    - Croatian (hr.po) by Krunoslav Gernhard
    - Hungarian (hu.po) by VEROK Istvan
    - Indonesian (id.po) by Debian Indonesia Team
    - Japanese (ja.po) by Kenshi Muto
    - Korean (ko.po) by Changwoo Ryu
    - Lithuanian (lt.po) by Kęstutis Biliūnasn
    - Latvian (lv.po) by Aigars Mahinovs
    - Bøkmal, Norwegian (nb.po) by Bjorn Steensrud
    - Dutch (nl.po) by Bart Cornelis
    - Norwegian Nynorsk (nn.po) by Håvard Korsvoll
    - Polish (pl.po) by Bartosz Fenski
    - Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
    - Romanian (ro.po) by Eddy Petrisor
    - Russian (ru.po) by Russian L10N Team
    - Slovak (sk.po) by Peter KLFMANiK Mann
    - Slovenian (sl.po) by Jure Čuhalev
    - Albanian (sq.po) by Elian Myftiu
    - Swedish (sv.po) by Per Olofsson
    - Turkish (tr.po) by Recai Oktaş
    - Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu
    - Traditional Chinese (zh_TW.po) by Tetralet

 -- Joey Hess <joeyh@debian.org>  Wed,  6 Oct 2004 14:36:39 -0400

anna (1.04) unstable; urgency=low

  * Updated translations: 
    - Arabic (ar.po) by Ossama M. Khayat
    - Bulgarian (bg.po) by Ognyan Kulev
    - Catalan (ca.po) by Jordi Mallach
    - Czech (cs.po) by Miroslav Kure
    - Danish (da.po) by Claus Hindsgaul
    - German (de.po) by Dennis Stampfer
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Spanish (Castilian) (es.po) by Javier Fernandez-Sanguino Peña
    - Basque (eu.po) by Piarres Beobide Egaña
    - Finnish (fi.po) by Tapio Lehtonen
    - French (fr.po) by French Team
    - Gallegan (gl.po) by Héctor Fenández López
    - Hebrew (he.po) by Lior Kaplan
    - Croatian (hr.po) by Krunoslav Gernhard
    - Indonesian (id.po) by Parlin Imanuel Toh
    - Italian (it.po) by Giuseppe Sacco
    - Japanese (ja.po) by Kenshi Muto
    - Korean (ko.po) by Changwoo Ryu
    - Lithuanian (lt.po) by Kęstutis Biliūnasn
    - Bøkmal, Norwegian (nb.po) by Axel Bojer
    - Norwegian Nynorsk (nn.po) by Håvard Korsvoll
    - Polish (pl.po) by Bartosz Fenski
    - Portuguese (pt.po) by Miguel Figueiredo
    - Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
    - Russian (ru.po) by Russian L10N Team
    - Slovak (sk.po) by Peter KLFMANiK Mann
    - Slovenian (sl.po) by Jure Čuhalev
    - Swedish (sv.po) by Per Olofsson
    - Turkish (tr.po) by Recai Oktaş
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov
    - Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu

 -- Joey Hess <joeyh@debian.org>  Mon, 27 Sep 2004 21:35:59 -0400

anna (1.03) unstable; urgency=low

  * Joey Hess
    - Incorporate patch from Frans Pop to check that there are some kernel
      udebs available matching the kernel. Closes: #258823
    - Modify its error handling to not abuse retreiver error protocol.
    - Add an error message for this case, though it could be better.
  * Updated translations: 
    - Bulgarian (bg.po) by Ognyan Kulev
    - Catalan (ca.po) by Jordi Mallach
    - Czech (cs.po) by Miroslav Kure
    - Danish (da.po) by Claus Hindsgaul
    - German (de.po) by Dennis Stampfer
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Spanish (Castilian) (es.po) by Javier Fernandez-Sanguino Peña
    - Basque (eu.po) by Piarres Beobide Egaña
    - Persian (fa.po) by Arash Bijanzadeh
    - Finnish (fi.po) by Tapio Lehtonen
    - French (fr.po) by French Team
    - Hebrew (he.po) by Lior Kaplan
    - Croatian (hr.po) by Krunoslav Gernhard
    - Japanese (ja.po) by Kenshi Muto
    - Korean (ko.po) by Changwoo Ryu
    - Norwegian Nynorsk (nn.po) by Håvard Korsvoll
    - Polish (pl.po) by Bartosz Fenski
    - Slovak (sk.po) by Peter KLFMANiK Mann
    - Slovenian (sl.po) by Jure Čuhalev
    - Turkish (tr.po) by Recai Oktaş
    - Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu

 -- Joey Hess <joeyh@debian.org>  Wed,  8 Sep 2004 19:53:27 -0400

anna (1.02) unstable; urgency=low

  * Joey Hess
    - Remove a seen flag unset to allow for preseeding.
    - Left in one bit of code that messes with the seen flag of
      ANNA_RETRIEVER.
  * Colin Watson
    - Don't crash if the Filename: field is somehow missing (e.g. due to
      leaving one's brain in the fridge while hacking Packages by hand ...).
  * Updated translations: 
    - Arabic (ar.po) by Ossama M. Khayat
    - Bulgarian (bg.po) by Ognyan Kulev
    - Bosnian (bs.po) by Safir Šećerović
    - Catalan (ca.po) by Jordi Mallach
    - Czech (cs.po) by Miroslav Kure
    - Danish (da.po) by Claus Hindsgaul
    - Greek, Modern (1453-) (el.po) by Konstantinos Margaritis
    - Spanish (Castilian) (es.po) by Javier Fernandez-Sanguino Peña
    - Basque (eu.po) by Piarres Beobide Egaña
    - Finnish (fi.po) by Tapio Lehtonen
    - French (fr.po) by French Team
    - Hebrew (he.po) by Lior Kaplan
    - Croatian (hr.po) by Krunoslav Gernhard
    - Japanese (ja.po) by Kenshi Muto
    - Korean (ko.po) by Changwoo Ryu
    - Lithuanian (lt.po) by Kęstutis Biliūnas
    - Latvian (lv.po) by Aigars Mahinovs
    - Norwegian Nynorsk (nn.po) by Håvard Korsvoll
    - Polish (pl.po) by Bartosz Fenski


=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: anna
 Architecture: any
-Depends: ${shlibs:Depends}, cdebconf-udeb, retriever, archdetect
+Depends: ${shlibs:Depends}, cdebconf-udeb, archdetect
 Description: anna's not nearly apt, but for the Debian installer, it will do
 XC-Package-Type: udeb

=== debian/rules ===
#!/usr/bin/make -f

build: build-stamp
build-stamp:
	dh_testdir
# Make small unless we are building a debug package.
ifeq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	$(MAKE) small
else
	$(MAKE) DEBUG=1
endif
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	$(MAKE) clean
	dh_clean

binary-indep: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdebconf -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_builddeb -i

binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -p anna var/cache/anna
	dh_install -p anna anna usr/bin
	dh_installdebconf -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_strip -a
	dh_gencontrol -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## anna 1.06ubuntu10

=== debian/changelog ===
anna (1.06ubuntu10) hoary; urgency=low

  * Update Norwegian Bokmål translation (thanks, Terance Edward Sola).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  5 Apr 2005 16:47:56 +0100

anna (1.06ubuntu9) hoary; urgency=low

  * Update Greek translation (thanks, Giorgos Logiotatidis).
  * Update Romanian translation (thanks, Ovidiu Damian).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  5 Apr 2005 16:23:02 +0100

anna (1.06ubuntu8) hoary; urgency=low

  * Update Indonesian translation (thanks, Yoppy Hidayanto).
  * Update Polish translation (thanks, Dominik Zabłotny).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 28 Mar 2005 19:57:46 +0100

anna (1.06ubuntu7) hoary; urgency=low

  * Apply Ubuntu branding to anna/no_kernel_modules.
  * Update Brazilian Portuguese translation (thanks, Carlos Eduardo Pedroza
    Santiviago).
  * Update French translation (thanks, Sebastien Bacher).
  * Update German translation (thanks, Herbert Straub).

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 26 Mar 2005 00:50:04 +0000

anna (1.06ubuntu6) hoary; urgency=low

  * Add draft Xhosa translation.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 22 Mar 2005 14:15:31 +0000

anna (1.06ubuntu5) hoary; urgency=low

  * Install kernel module udebs if the name they provide is queued, so that
    'anna-install ext2-modules' works as expected.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 27 Feb 2005 11:01:54 +0000

anna (1.06ubuntu4) hoary; urgency=low

  * Run debconf-updatepo; this must always be done after changing debconf
    template strings.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 14 Feb 2005 12:13:29 +0000

anna (1.06ubuntu3) hoary; urgency=low

  * Neutralize template text so that it applies to both the install and live
    processes

 -- Matt Zimmerman <mdz@canonical.com>  Tue, 25 Jan 2005 23:23:30 -0800

anna (1.06ubuntu2) hoary; urgency=low

  * Add anna/standard_modules question (never asked, only for preseeding).
    If false, udebs will not be automatically installed merely due to having
    Priority >= standard, although Priority >= standard kernel modules will
    still be installed (closes: #5258).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 18 Jan 2005 12:26:11 +0000

anna (1.06ubuntu1) hoary; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@canonical.com>  Tue, 21 Dec 2004 11:28:23 +0000

anna (1.05ubuntu1) hoary; urgency=low

  * Resynchronise with Debian (thanks, Scott James Remnant).
  * Update Ubuntu branding.

 -- Colin Watson <cjwatson@canonical.com>  Thu, 28 Oct 2004 16:51:37 +0100

## anna 1.15ubuntu2

=== debian/changelog ===
anna (1.15ubuntu2) breezy; urgency=low

  * Update translations from Rosetta for strings where we've diverged from
    Debian: Hungarian, Slovak, Swedish.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 30 Sep 2005 18:29:58 +0100

anna (1.15ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 12 Sep 2005 15:37:09 +0100

anna (1.15) unstable; urgency=low

  * Use di_system_subarch_analyze rather than forking archdetect.
  * anna can be used in non-Debian installers, and also in systems that
    aren't really installers such as rescue disks and live CDs. With that in
    mind, "Loading components of the Debian installer" starts to look a bit
    awkward. "Loading additional components" is the best replacement I can
    come up with.

  * Updated translations:
    - Catalan (ca.po) by Guillem Jover
    - Czech (cs.po) by Miroslav Kure
    - Danish (da.po) by Claus Hindsgaul
    - German (de.po) by Holger Wansing
    - Esperanto (eo.po) by Serge Leblanc
    - Spanish (es.po) by Javier Fernández-Sanguino Peña
    - Basque (eu.po) by Piarres Beobide
    - Persian (fa.po) by Arash Bijanzadeh
    - French (fr.po) by Christian Perrier
    - Galician (gl.po) by Jacobo Tarrio
    - Italian (it.po) by Stefano Canepa
    - Japanese (ja.po) by Kenshi Muto
    - Kurdish (ku.po) by Erdal Ronahi
    - Lithuanian (lt.po) by Kęstutis Biliūnas
    - Macedonian (mk.po) by Georgi Stanojevski
    - Bokmål, Norwegian (nb.po) by Bjørn Steensrud
    - Dutch (nl.po) by Bart Cornelis
    - Polish (pl.po) by Bartosz Fenski
    - Portuguese (pt.po) by Miguel Figueiredo
    - Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
    - Romanian (ro.po) by Eddy Petrisor
    - Russian (ru.po) by Yuri Kozlov
    - Slovak (sk.po) by Peter Mann
    - Slovenian (sl.po) by Jure Čuhalev
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov
    - Vietnamese (vi.po) by Clytie Siddall
    - Wolof (wo.po) by Mouhamadou Mamoune Mbacke
    - Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu

 -- Colin Watson <cjwatson@debian.org>  Fri,  9 Sep 2005 14:11:36 +0100

anna (1.14) unstable; urgency=low

  [ Colin Watson ]
  * Make 'anna-install <foo>-modules' (for any name provided by a kernel
    module) work when doing immediate installation as well as when queueing.

  * Updated translations: 
    - Bulgarian (bg.po) by Ognyan Kulev
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Hebrew (he.po) by Lior Kaplan
    - Tagalog (tl.po) by Eric Pareja
    - Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu

 -- Joey Hess <joeyh@debian.org>  Fri, 15 Jul 2005 16:39:08 +0300

anna (1.13ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 19 Jul 2005 19:25:45 +0100

anna (1.13) unstable; urgency=low

  * Updated translations:
    - Indonesian (id.po) by Arief S Fitrianto
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov
    - Vietnamese (vi.po) by Clytie Siddall

 -- Christian Perrier <bubulle@debian.org>  Wed,  6 Jul 2005 23:20:48 +0200

anna (1.12ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu,  7 Jul 2005 15:11:33 +0100

anna (1.12) unstable; urgency=low

  * Revert change in 1.11, since it causes extra priority kernel modules
    to not be installed, and seems to pull in other stuff that was not pulled
    in before. Reopens: #219888

 -- Joey Hess <joeyh@debian.org>  Tue, 28 Jun 2005 21:16:10 -0400

anna (1.11) unstable; urgency=low

  [ Joey Hess ]
  * Build with -fomit-frame-pointer, saves a few bytes.
  * Add a patch, loosely based on a long-neglected patch from Jeremie Koenig,
    to include udebs that will be installed by default in the selection list
    and allow the user to de-select them, providing more control in lowmem
    installs and other situations. Closes: #219888

  * Updated translations: 
    - Arabic (ar.po) by Ossama M. Khayat
    - Bulgarian (bg.po) by Ognyan Kulev
    - Catalan (ca.po) by Guillem Jover
    - Czech (cs.po) by Miroslav Kure
    - Danish (da.po) by Claus Hindsgaul
    - German (de.po) by Dennis Stampfer
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Spanish (es.po) by Javier Fernández-Sanguino Peña
    - Basque (eu.po) by Piarres Beobide
    - French (fr.po) by Christian Perrier
    - Italian (it.po) by Giuseppe Sacco
    - Japanese (ja.po) by Kenshi Muto
    - Portuguese (pt.po) by Miguel Figueiredo
    - Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
    - Romanian (ro.po) by Eddy Petrişor
    - Russian (ru.po) by Yuri Kozlov
    - Slovak (sk.po) by Peter Mann
    - Albanian (sq.po) by Elian Myftiu
    - Turkish (tr.po) by Recai Oktaş
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov
    - Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu

 -- Joey Hess <joeyh@debian.org>  Wed, 15 Jun 2005 16:22:59 -0400

anna (1.10ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 24 May 2005 15:54:21 +0100

anna (1.10) unstable; urgency=low

  * Joey Hess
    - Fix hardcoded path to archdetect.

 -- Joey Hess <joeyh@debian.org>  Mon, 23 May 2005 10:21:03 -0400

anna (1.09) unstable; urgency=low

  * Colin Watson
    - Fix typo in "unknown udeb" error message.
  * Joey Hess
    - Switch from using the debconf template to get the subarch, to running
      the archdetect command.
  * Updated translations: 
    - Greek, Modern (1453-) (el.po) by Kostas Papadimas
    - Basque (eu.po) by Piarres Beobide
    - Hebrew (he.po) by Lior Kaplan
    - Portuguese (Brazil) (pt_BR.po) by André Luís Lopes

 -- Joey Hess <joeyh@debian.org>  Sat, 21 May 2005 18:07:28 -0400

anna (1.08ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon,  9 May 2005 10:55:14 +0100

anna (1.08) unstable; urgency=low

  * Colin Watson
    - Fix log message when installing a package due to the anna-install
      queue.


=== debian/control ===
Source: anna
Section: debian-installer
Priority: standard
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Joey Hess <joeyh@debian.org>, Martin Sjogren <sjogren@debian.org>, Matt Kraai <kraai@debian.org>, Bastian Blank <waldi@debian.org>
Build-Depends: debhelper (>= 4.2), dpkg-dev (>= 1.7.0), libdebconfclient0-dev (>= 0.46), libdebian-installer4-dev (>= 0.31)

Package: anna
Architecture: any
Depends: ${shlibs:Depends}, cdebconf-udeb
Description: anna's not nearly apt, but for the Debian installer, it will do
XC-Package-Type: udeb

## anna 1.21ubuntu1

=== debian/changelog ===
anna (1.21ubuntu1) dapper; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 20 Mar 2006 14:29:07 +0000

anna (1.21) unstable; urgency=low

  [ Updated translations ]
  * Catalan (ca.po) by Jordi Mallach
  * Greek, Modern (1453-) (el.po) by Konstantinos Margaritis
  * Finnish (fi.po) by Tapio Lehtonen
  * Galician (gl.po) by Jacobo Tarrio
  * Hebrew (he.po) by Lior Kaplan
  * Latvian (lv.po) by Aigars Mahinovs
  * Malagasy (mg.po) by Jaonary Rabarisoa
  * Malagasy (pa_IN.po) by Amanpreet Singh Alam
  * Slovenian (sl.po) by Jure Čuhalev
  * Albanian (sq.po) by Elian Myftiu
  * Swedish (sv.po) by Daniel Nylander
  * Turkish (tr.po) by Recai Oktaş
  * Vietnamese (vi.po) by Clytie Siddall

 -- Frans Pop <fjp@debian.org>  Mon, 23 Jan 2006 20:29:58 +0100

anna (1.20ubuntu1) dapper; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 18 Jan 2006 00:55:25 +0000

anna (1.20) unstable; urgency=low

  * Add yet more code to "anna install" to explcitly check that any module
    package pulled in due to its provides actually matches the running kernel.
    Closes: #341191. Again.

 -- Joey Hess <joeyh@debian.org>  Fri,  2 Dec 2005 23:01:42 -0500

anna (1.19) unstable; urgency=low

  * Add some code to "anna install" to check for things that are provided
    by already installed packages, and skip installing packages that provide
    them. Closes: #341191

 -- Joey Hess <joeyh@debian.org>  Tue, 29 Nov 2005 01:11:54 -0500

anna (1.18ubuntu1) dapper; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 26 Nov 2005 10:29:17 +0000

anna (1.18) unstable; urgency=low

  * Remove a fairly useless debug line that spammed the syslog too much.
  * Remove the "unpacking $component" process bar messages, and only display
    one progress message per component. This will display much better instead
    of often flipping between two different messages faster than one can be
    read.

 -- Joey Hess <joeyh@debian.org>  Wed, 16 Nov 2005 16:49:40 -0500

anna (1.17) unstable; urgency=low

  * Fix logic error in get_lomem_level. Closes: #337522.
  * Add myself to uploaders.

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Bulgarian (bg.po) by Ognyan Kulev
  * Bengali (bn.po) by Baishampayan Ghose
  * Catalan (ca.po) by Guillem Jover
  * German (de.po) by Jens Seidel
  * Hindi (hi.po) by Nishant Sharma
  * Icelandic (is.po) by David Steinn Geirsson
  * Korean (ko.po) by Sunjae park
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Macedonian (mk.po) by Georgi Stanojevski
  * Dutch (nl.po) by Bart Cornelis
  * Norwegian Nynorsk (nn.po)
  * Polish (pl.po) by Bartosz Fenski
  * Romanian (ro.po) by Eddy Petrişor
  * Slovak (sk.po) by Peter Mann
  * Swedish (sv.po) by Daniel Nylander
  * Tagalog (tl.po) by Eric Pareja
  * Turkish (tr.po) by Recai Oktaş

 -- Frans Pop <fjp@debian.org>  Tue, 15 Nov 2005 20:30:51 +0100

anna (1.16ubuntu1) dapper; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 25 Oct 2005 12:46:51 +0100

anna (1.16) unstable; urgency=low

  * Suppress install progress bar if ANNA_QUIET=1 is set in the environment.

  * Updated translations:
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Galician (gl.po) by Jacobo Tarrio
    - Dutch (nl.po) by Frans Pop
    - Russian (ru.po) by Yuri Kozlov

 -- Colin Watson <cjwatson@debian.org>  Mon, 19 Sep 2005 11:13:35 +0100

=== debian/control ===
Source: anna
Section: debian-installer
Priority: standard
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Joey Hess <joeyh@debian.org>, Martin Sjogren <sjogren@debian.org>, Matt Kraai <kraai@debian.org>, Bastian Blank <waldi@debian.org>, Frans Pop <fjp@debian.org>
Build-Depends: debhelper (>= 4.2), dpkg-dev (>= 1.7.0), libdebconfclient0-dev (>= 0.46), libdebian-installer4-dev (>= 0.31)

Package: anna
Architecture: any
Depends: ${shlibs:Depends}, cdebconf-udeb
Description: anna's not nearly apt, but for the Debian installer, it will do
XC-Package-Type: udeb

=== debian/rules ===
#!/usr/bin/make -f

build: build-stamp
build-stamp:
	dh_testdir
# Make small unless we are building a debug package.
ifeq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	$(MAKE) small
else
	$(MAKE) DEBUG=1
endif
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	$(MAKE) clean
	dh_clean

binary-indep: 

binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs var/cache/anna
	dh_install anna bin
	dh_installdebconf
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_strip
	dh_gencontrol
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## anna 1.24ubuntu1

=== debian/changelog ===
anna (1.24ubuntu1) edgy; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 26 Jun 2006 16:31:20 +0100

anna (1.24) unstable; urgency=low

  [ Sylvain Ferriol ]
  * Symplify code for package selection in lowmem mode. All udebs are marked
    as "want_unknown", except for components that will be included in the menu
    and their dependencies. Closes: #274307.

  [ Joey Hess ]
  * Comment out unnecessary log line.

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Bosnian (bs.po) by Safir Secerovic
  * Catalan (ca.po) by Jordi Mallach
  * Danish (da.po) by Claus Hindsgaul
  * Dzongkha (dz.po)
  * Esperanto (eo.po) by Serge Leblanc
  * Estonian (et.po) by Siim Põder
  * Basque (eu.po) by Piarres Beobide
  * Irish (ga.po) by Kevin Patrick Scannell
  * Hungarian (hu.po) by SZERVÑC Attila
  * Georgian (ka.po) by Aiet Kolkhi
  * Khmer (km.po) by Khoem Sokhem
  * Kurdish (ku.po) by Erdal Ronahi
  * Nepali (ne.po) by Shiva Pokharel
  * Norwegian Nynorsk (nn.po) by Håvard Korsvoll
  * Northern Sami (se.po) by Børre Gaup
  * Slovenian (sl.po) by Jure Čuhalev
  * Swedish (sv.po) by Daniel Nylander
  * Tamil (ta.po) by Damodharan Rajalingam
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Vietnamese (vi.po) by Clytie Siddall

 -- Frans Pop <fjp@debian.org>  Wed, 21 Jun 2006 13:36:13 +0200

anna (1.23) unstable; urgency=low

  * Rebuilt with libd-i 0.41, 0.40 was broken.

 -- Joey Hess <joeyh@debian.org>  Sat, 18 Mar 2006 14:34:40 -0500

anna (1.22) unstable; urgency=low

  * Add missing call to dh_shlibdeps to rules file.
  * Take advantage of new debhelper udeb misc:Depends support.
  * Rebuilt with new cdebconf and libd-i for correct udeb dependencies.

  [ Updated translations ]
  * Bosnian (bs.po) by Safir Secerovic
  * Catalan (ca.po) by Jordi Mallach
  * Hungarian (hu.po) by SZERVÑC Attila
  * Slovak (sk.po) by Peter Mann
  * Slovenian (sl.po) by Matej Kovačič
  * Swedish (sv.po) by Daniel Nylander
  * Tagalog (tl.po) by Eric Pareja

 -- Joey Hess <joeyh@debian.org>  Sat, 18 Mar 2006 13:56:26 -0500

=== debian/control ===
Source: anna
Section: debian-installer
Priority: standard
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Joey Hess <joeyh@debian.org>, Martin Sjogren <sjogren@debian.org>, Matt Kraai <kraai@debian.org>, Bastian Blank <waldi@debian.org>, Frans Pop <fjp@debian.org>
Build-Depends: debhelper (>= 5.0.22), dpkg-dev (>= 1.7.0), libdebconfclient0-dev (>= 0.46), libdebian-installer4-dev (>= 0.41)

Package: anna
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: anna's not nearly apt, but for the Debian installer, it will do
XC-Package-Type: udeb

## anna 1.25ubuntu2

=== debian/changelog ===
anna (1.25ubuntu2) feisty; urgency=low

  * Update Korean branding.
  * Fix mention of Debian in French translation.
  * Set Maintainer to ubuntu-installer@lists.ubuntu.com.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 15 Feb 2007 18:52:38 +0000

anna (1.25ubuntu1) feisty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Ubuntu branding.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 29 Oct 2006 17:12:49 +0000

anna (1.25) unstable; urgency=low

  * Improve wording of component selection template. Thanks to Holger Wansing.
    Closes: #391432.
  * Add Lintian override for standards-version.

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Belarusian (be.po) by Andrei Darashenka
  * Bengali (bn.po) by Jamil Ahmed
  * Catalan (ca.po) by Jordi Mallach
  * Czech (cs.po) by Miroslav Kure
  * Danish (da.po) by Claus Hindsgaul
  * German (de.po) by Jens Seidel
  * Dzongkha (dz.po) by Jurmey Rabgay
  * Greek (el.po) by QUAD-nrg.net
  * Esperanto (eo.po) by Serge Leblanc
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Estonian (et.po) by Siim Põder
  * Basque (eu.po) by Piarres Beobide
  * Finnish (fi.po) by Tapio Lehtonen
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Gujarati (gu.po) by Kartik Mistry
  * Hebrew (he.po) by Lior Kaplan
  * Hindi (hi.po) by Nishant Sharma
  * Croatian (hr.po) by Josip Rodin
  * Hungarian (hu.po) by SZERVÁC Attila
  * Indonesian (id.po) by Arief S Fitrianto
  * Italian (it.po) by Giuseppe Sacco
  * Japanese (ja.po) by Kenshi Muto
  * Khmer (km.po) by Khoem Sokhem
  * Korean (ko.po) by Sunjae park
  * Kurdish (ku.po) by Erdal Ronahi
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Latvian (lv.po) by Aigars Mahinovs
  * Macedonian (mk.po) by Georgi Stanojevski
  * Norwegian Bokmal (nb.po) by Bjørn Steensrud
  * Nepali (ne.po) by Shiva Prasad Pokharel
  * Dutch (nl.po) by Bart Cornelis
  * Punjabi (Gurmukhi) (pa.po) by A S Alam
  * Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
  * Portuguese (pt.po) by Miguel Figueiredo
  * Romanian (ro.po) by Eddy Petrișor
  * Russian (ru.po) by Yuri Kozlov
  * Slovak (sk.po) by Peter Mann
  * Albanian (sq.po) by Elian Myftiu
  * Swedish (sv.po) by Daniel Nylander
  * Tamil (ta.po) by Damodharan Rajalingam
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Tagalog (tl.po) by Eric Pareja
  * Turkish (tr.po) by Recai Oktaş
  * Ukrainian (uk.po) by Eugeniy Meshcheryakov
  * Vietnamese (vi.po) by Clytie Siddall
  * Wolof (wo.po) by Mouhamadou Mamoune Mbacke
  * Simplified Chinese (zh_CN.po) by Ming Hua
  * Traditional Chinese (zh_TW.po) by Tetralet

 -- Frans Pop <fjp@debian.org>  Tue, 24 Oct 2006 13:47:30 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: anna
 Section: debian-installer
 Priority: standard
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Joey Hess <joeyh@debian.org>, Martin Sjogren <sjogren@debian.org>, Matt Kraai <kraai@debian.org>, Bastian Blank <waldi@debian.org>, Frans Pop <fjp@debian.org>
 Build-Depends: debhelper (>= 5.0.22), dpkg-dev (>= 1.7.0), libdebconfclient0-dev (>= 0.46), libdebian-installer4-dev (>= 0.41)
+XS-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/anna
 
 Package: anna
 Architecture: any

## anna 1.27

=== Makefile ===
CFLAGS=-Wall -W -ggdb -D_GNU_SOURCE
LDFLAGS=
OBJS=$(subst .c,.o,$(wildcard *.c))
BIN=anna
LIBS=-ldebconfclient -ldebian-installer

ifdef DEBUG
CFLAGS:=$(CFLAGS) -g3 -DDODEBUG
LDFLAGS:=-g
endif

all: $(BIN)

$(BIN): $(OBJS)
	$(CC) $(LDFLAGS) -o $(BIN) $(OBJS) $(LIBS)

# Size optimized and stripped binary target.
small: CFLAGS:=-Os -fomit-frame-pointer $(CFLAGS) -DSMALL
small: clean $(BIN)
	strip --remove-section=.comment --remove-section=.note $(BIN)
	ls -l $(BIN)

clean:
	-rm -f $(BIN) $(OBJS) *~

anna.o util.o retriever.o: anna.h
anna.o retriever.o: util.h
anna.o retriever.o: retriever.h

=== debian/changelog ===
anna (1.27) unstable; urgency=low

  [ Updated translations ]
  * Hebrew (he.po) by Lior Kaplan
  * Malayalam (ml.po) by Praveen A

 -- Frans Pop <fjp@debian.org>  Tue, 27 Feb 2007 16:37:01 +0100

anna (1.26) unstable; urgency=low

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Belarusian (be.po) by Pavel Piatruk
  * Bulgarian (bg.po) by Damyan Ivaniv
  * Bosnian (bs.po) by Safir Secerovic
  * Catalan (ca.po) by Jordi Mallach
  * Danish (da.po) by Claus Hindsgaul
  * Esperanto (eo.po) by Serge Leblanc
  * Estonian (et.po) by Siim Põder
  * Galician (gl.po) by Jacobo Tarrio
  * Hebrew (he.po) by Lior Kaplan
  * Georgian (ka.po) by Aiet Kolkhi
  * Kurdish (ku.po) by Amed Çeko Jiyan
  * Latvian (lv.po) by Aigars Mahinovs
  * Malayalam (ml.po) by Praveen A
  * Norwegian Nynorsk (nn.po) by Håvard Korsvoll
  * Panjabi (pa.po) by A S Alam
  * Polish (pl.po) by Bartosz Fenski
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Romanian (ro.po) by Eddy Petrișor
  * Slovak (sk.po) by Peter Mann
  * Slovenian (sl.po) by Matej Kovačič

 -- Frans Pop <fjp@debian.org>  Wed, 31 Jan 2007 11:17:27 +0100

=== debian/control ===
Source: anna
Section: debian-installer
Priority: standard
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Joey Hess <joeyh@debian.org>, Martin Sjogren <sjogren@debian.org>, Matt Kraai <kraai@debian.org>, Bastian Blank <waldi@debian.org>, Frans Pop <fjp@debian.org>
Build-Depends: debhelper (>= 5.0.22), dpkg-dev (>= 1.7.0), libdebconfclient0-dev (>= 0.46), libdebian-installer4-dev (>= 0.41)
XS-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/anna

Package: anna
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: anna's not nearly apt, but for the Debian installer, it will do
XC-Package-Type: udeb

## anna 1.27ubuntu1

=== debian/changelog ===
anna (1.27ubuntu1) gutsy; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Ubuntu branding.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 25 Apr 2007 17:33:45 +0100

## anna 1.28ubuntu2

=== debian/changelog ===
anna (1.28ubuntu2) hardy; urgency=low

  * Set Vcs-Bzr for Ubuntu.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 29 Feb 2008 18:53:18 +0000

anna (1.28ubuntu1) hardy; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Ubuntu branding.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 23 Oct 2007 19:38:30 +0100

anna (1.28) unstable; urgency=low

  * Load debconf templates all in one go after unpacking all packages.
    Letting udpkg call debconf-loadtemplate once per package is much slower
    as it has to write the templates database over and over again. Requires
    udpkg (>= 1.06) for the --no-loadtemplate option.
  * On second thoughts, compile this out by default as it raises the
    high-water mark for d-i memory use substantially, since individual
    .templates files aren't removed until all of them have been loaded. I've
    left the code in place as we may want to add this back in as an option
    for speed in the future.

  [ Updated translations ]
  * Bulgarian (bg.po) by Damyan Ivanov
  * Bengali (bn.po) by Jamil Ahmed
  * Catalan (ca.po) by Jordi Mallach
  * Czech (cs.po) by Miroslav Kure
  * German (de.po) by Jens Seidel
  * Esperanto (eo.po) by Serge Leblanc
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Basque (eu.po) by Piarres Beobide
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Hebrew (he.po) by Lior Kaplan
  * Japanese (ja.po) by Kenshi Muto
  * Korean (ko.po) by Sunjae Park
  * Norwegian Bokmål (nb.po) by Bjørn Steensrud
  * Nepali (ne.po) by Nabin Gautam
  * Dutch (nl.po) by Frans Pop
  * Panjabi (pa.po) by A S Alam
  * Polish (pl.po) by Bartosz Fenski
  * Portuguese (pt.po) by Miguel Figueiredo
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Romanian (ro.po) by Eddy Petrișor
  * Russian (ru.po) by Yuri Kozlov
  * Albanian (sq.po) by Elian Myftiu
  * Swedish (sv.po) by Daniel Nylander
  * Tamil (ta.po) by Dr.T.Vasudevan
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Tagalog (tl.po) by Eric Pareja
  * Ukrainian (uk.po)
  * Vietnamese (vi.po) by Clytie Siddall
  * Simplified Chinese (zh_CN.po) by Ming Hua

 -- Colin Watson <cjwatson@debian.org>  Mon, 20 Aug 2007 17:14:43 +0100

=== debian/control ===
Source: anna
Section: debian-installer
Priority: standard
Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Joey Hess <joeyh@debian.org>, Martin Sjogren <sjogren@debian.org>, Matt Kraai <kraai@debian.org>, Bastian Blank <waldi@debian.org>, Frans Pop <fjp@debian.org>
Build-Depends: debhelper (>= 5.0.22), dpkg-dev (>= 1.7.0), libdebconfclient0-dev (>= 0.46), libdebian-installer4-dev (>= 0.41)
XS-Original-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/anna
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/anna/ubuntu

Package: anna
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: anna's not nearly apt, but for the Debian installer, it will do
XC-Package-Type: udeb

## anna 1.32ubuntu1

=== debian/changelog ===
anna (1.32ubuntu1) intrepid; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Ubuntu branding.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 24 Jun 2008 15:50:28 +0100

anna (1.32) unstable; urgency=low

  [ Updated translations ]
  * Amharic (am.po) by tegegne tefera
  * Malayalam (ml.po) by Praveen|പ്രവീണ്‍ A|എ
  * Marathi (mr.po) by Sampada
  * Punjabi (Gurmukhi) (pa.po) by Amanpreet Singh Alam

 -- Otavio Salvador <otavio@debian.org>  Wed, 07 May 2008 23:42:04 -0300

anna (1.31ubuntu1) intrepid; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Ubuntu branding.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 02 May 2008 15:01:01 +0100

anna (1.31) unstable; urgency=low

  [ Colin Watson ]
  * Log versions of modules being retrieved.
  * Only log logic for why modules are installed or asked if ANNA_VERBOSE=1
    is set in the environment.

  [ Frans Pop ]
  * Remove Martin Sjogren and Matt Kraai as Uploaders with many thanks for
    their past contibutions.
  * Make sure components queued using anna-install always get installed, even
    when running in lowmem level 2. Closes: #476614.
  * Use Choices-C for component selection templates. The advantage is that
    preseeded values will show as selected (at the cost of a little memory).
    It is also a pre-requirement to implement more advanced selection by users,
    with components that should normally be installed being pre-selected.

  [ Updated translations ]
  * Marathi (mr.po)

 -- Frans Pop <fjp@debian.org>  Sat, 19 Apr 2008 12:44:36 +0200

anna (1.30) unstable; urgency=low

  [ Updated translations ]
  * Finnish (fi.po) by Esko Arajärvi
  * Hindi (hi.po) by Kumar Appaiah
  * Indonesian (id.po) by Arief S Fitrianto
  * Central Khmer (km.po) by Khoem Sokhem
  * Latvian (lv.po) by Viesturs Zarins
  * Panjabi (pa.po) by Amanpreet Singh Alam
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Slovenian (sl.po) by Matej Kovacic
  * Turkish (tr.po) by Recai Oktaş
  * Ukrainian (uk.po)
  * Wolof (wo.po) by Mouhamadou Mamoune Mbacke
  * Simplified Chinese (zh_CN.po) by Ming Hua
  * Traditional Chinese (zh_TW.po) by Tetralet

 -- Otavio Salvador <otavio@debian.org>  Fri, 15 Feb 2008 07:36:21 -0200

anna (1.29) unstable; urgency=low

  [ Updated translations ]
  * Amharic (am.po) by tegegne tefera
  * Belarusian (be.po) by Hleb Rubanau
  * Catalan (ca.po) by Jordi Mallach
  * Dzongkha (dz.po) by Jurmey Rabgay
  * Esperanto (eo.po) by Serge Leblanc
  * Hungarian (hu.po) by SZERVÁC Attila
  * Italian (it.po) by Stefano Canepa
  * Korean (ko.po) by Changwoo Ryu
  * Kurdish (ku.po) by Erdal Ronahi
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Malayalam (ml.po) by Praveen|????? A|?
  * Norwegian Bokmål (nb.po) by Hans Fredrik Nordhaug
  * Norwegian Nynorsk (nn.po) by Håvard Korsvoll
  * Panjabi (pa.po) by A S Alam
  * Romanian (ro.po) by Eddy Petrișor
  * Slovak (sk.po) by Ivan Masár
  * Albanian (sq.po) by Elian Myftiu
  * Swedish (sv.po) by Daniel Nylander

 -- Christian Perrier <bubulle@debian.org>  Thu, 10 Jan 2008 07:28:52 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: standard
 Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Uploaders: Joey Hess <joeyh@debian.org>, Martin Sjogren <sjogren@debian.org>, Matt Kraai <kraai@debian.org>, Bastian Blank <waldi@debian.org>, Frans Pop <fjp@debian.org>
+Uploaders: Joey Hess <joeyh@debian.org>, Bastian Blank <waldi@debian.org>, Frans Pop <fjp@debian.org>
 Build-Depends: debhelper (>= 5.0.22), dpkg-dev (>= 1.7.0), libdebconfclient0-dev (>= 0.46), libdebian-installer4-dev (>= 0.41)
 XS-Original-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/anna
 Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/anna/ubuntu

## anna 1.33

=== debian/changelog ===
anna (1.33) unstable; urgency=low

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Belarusian (be.po) by Pavel Piatruk
  * Bosnian (bs.po) by Armin Besirovic
  * Czech (cs.po) by Miroslav Kure
  * Welsh (cy.po) by Jonathan Price
  * Danish (da.po)
  * Greek, Modern (1453-) (el.po)
  * Esperanto (eo.po) by Felipe Castro
  * Basque (eu.po) by Iñaki Larrañaga Murgoitio
  * French (fr.po) by Christian Perrier
  * Hebrew (he.po) by Omer Zak
  * Croatian (hr.po) by Josip Rodin
  * Italian (it.po) by Milo Casagrande
  * Georgian (ka.po) by Aiet Kolkhi
  * Korean (ko.po) by Changwoo Ryu
  * Latvian (lv.po) by Peteris Krisjanis
  * Macedonian (mk.po) by Arangel Angov
  * Bokmål, Norwegian (nb.po) by Hans Fredrik Nordhaug
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Serbian (sr.po) by Veselin Mijušković
  * Tamil (ta.po) by Dr.T.Vasudevan
  * Tagalog (tl.po) by Eric Pareja
  * Traditional Chinese (zh_TW.po) by Tetralet

 -- Otavio Salvador <otavio@debian.org>  Sun, 21 Sep 2008 18:17:47 -0300

=== debian/control ===
Source: anna
Section: debian-installer
Priority: standard
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Joey Hess <joeyh@debian.org>, Bastian Blank <waldi@debian.org>, Frans Pop <fjp@debian.org>
Build-Depends: debhelper (>= 5.0.22), dpkg-dev (>= 1.7.0), libdebconfclient0-dev (>= 0.46), libdebian-installer4-dev (>= 0.41)
Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/anna

Package: anna
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: anna's not nearly apt, but for the Debian installer, it will do
XC-Package-Type: udeb

=== debian/rules ===
--- 
+++ 
@@ -29,6 +29,7 @@
 	dh_installdebconf
 	dh_compress
 	dh_fixperms
+	dh_shlibdeps
 	dh_installdeb
 	dh_strip
 	dh_gencontrol

## anna 1.33ubuntu1

=== debian/changelog ===
anna (1.33ubuntu1) jaunty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Ubuntu branding.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 08 Nov 2008 08:23:44 +0000

=== debian/control ===
Source: anna
Section: debian-installer
Priority: standard
Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Joey Hess <joeyh@debian.org>, Bastian Blank <waldi@debian.org>, Frans Pop <fjp@debian.org>
Build-Depends: debhelper (>= 5.0.22), dpkg-dev (>= 1.7.0), libdebconfclient0-dev (>= 0.46), libdebian-installer4-dev (>= 0.41)
XS-Debian-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/anna
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/anna/ubuntu

Package: anna
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: anna's not nearly apt, but for the Debian installer, it will do
XC-Package-Type: udeb
